# Installation

{% hint style="warning" %}
Make sure you read everything carefull when installing this resource.
{% endhint %}

## Dependencies

[Polyzone](https://github.com/mkafrin/PolyZone) by mkafrin\
[qb-core](https://github.com/qbcore-framework/qb-core) by qbcore-framework\
[qb-target](https://github.com/qbcore-framework/qb-target) by qbcore-framework or [ox\_target](https://github.com/overextended/ox_target/releases) by Overextended\
[qb-menu](https://github.com/qbcore-framework/qb-menu) by qbcore-framework or [ox\_lib's context menu](https://github.com/overextended/ox_lib/releases) by Overextended\
[MTL Brickade Package](https://nl.gta5-mods.com/vehicles/mtl-brickade-pack-3in1-add-on-liveries) by AGModsTeam (Used for refilling the gasstations) (optional)\
[tasks](https://github.com/Thummie/thommie-tasks/) by thommie (optional)

## How to install

* Download and unzip the thommie-fueling.zip
* Add "ensure thommie-fueling" to your server.cfg
* Import the provided gasstations.sql to your database
* (re)start your server and you are done.

## How to add new locations

You can create new gasstations very easy, you go to your config.lua and you will search for Config.GasStations (line 35 by default). Now you can follow the template we have made and change the values.

*<mark style="color:red;">Please note that you have to match the</mark> <mark style="color:red;"></mark><mark style="color:red;">**id**</mark> <mark style="color:red;"></mark><mark style="color:red;">with the</mark> <mark style="color:red;"></mark><mark style="color:red;">**id**</mark> <mark style="color:red;"></mark><mark style="color:red;">inside of the database in order to have everything work properly.</mark>*

#### Gasstation Template:

```lua
['ID'] = {
    label = 'RON Example', -- This is the location where the helicopter will spawn
    brand = 'ron', -- Here you can choose the gasstation their brand (ron, globe, xero or ltd)
    fuelProp = 'prop_gas_pump_1a', -- All the gas pumps represent other brands (1a = ron, 1b = globe, 1c & old3 = ltd, 1d & old2 = xero)
    price = {min = 3, max = 6, current = nil}, -- The fuelprices, you fill in the min and max and it automaticly sets the current so leave this to nil.
    fuellevel = nil, -- This wil be automatically been taken from the database.
    polyheight = {min = 0.0, max = 0.0},
    polyzone = { -- Here you can create the polyzone that will spawn the props needed and will check if someone is inside zone.
        vector2(0.0, 0.0)
        vector2(0.0, 0.0)
        vector2(0.0, 0.0)
        vector2(0.0, 0.0)
    },
    refuel = {pos = vector4(0.0, 0.0, 0.0, 0.0), prop = 'prop_storagetank_02b'}, -- All the options for refueling the gasstation with the refueling (side)job.
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thummie.com/docs/premium/fueling/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
